CREATE TABLE fun_docio_flows_b (
    FLOW_ID                     NUMBER(18, 0) ,
    FLOW_CODE                   VARCHAR2(960)     NOT NULL,
    PRODUCT_FAMILY              VARCHAR2(128)     NOT NULL,
    PRODUCT_CODE                VARCHAR2(128)     NOT NULL,
    BUSINESS_OBJECT             VARCHAR2(2048)    NOT NULL,
    INTEGRATION_PATTERN_CODE    VARCHAR2(120) ,
    ADMIN_SUBMISSION_FLAG       VARCHAR2(4)       NOT NULL,
    ON_DEMAND_PURGE_FLAG        VARCHAR2(4)       NOT NULL,
    AUTOMATIC_PURGE_FLAG        VARCHAR2(4)       NOT NULL,
    LOADER_DOCUMENT_STORE       VARCHAR2(1000),
    RESOURCE_PLAN               BLOB          ,
    USER_INVOCABLE_FLAG         VARCHAR2(4)       NOT NULL,
    FLOW_DIRECTION_CODE         VARCHAR2(120)     NOT NULL,
    PRODUCT_ENDPOINT            VARCHAR2(320) ,
    ENABLED_FLAG                VARCHAR2(4)       NOT NULL,
    MODULE_ID                   VARCHAR2(128) ,
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    SEED_DATA_SOURCE            VARCHAR2(2048)    NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    FLOW_ID                     NUMBER(18, 0) ,
    FLOW_CODE                   VARCHAR2(960)     NOT NULL,
    PRODUCT_FAMILY              VARCHAR2(128)     NOT NULL,
    PRODUCT_CODE                VARCHAR2(128)     NOT NULL,
    BUSINESS_OBJECT             VARCHAR2(2048)    NOT NULL,
    INTEGRATION_PATTERN_CODE    VARCHAR2(120) ,
    ADMIN_SUBMISSION_FLAG       VARCHAR2(4)       NOT NULL,
    ON_DEMAND_PURGE_FLAG        VARCHAR2(4)       NOT NULL,
    AUTOMATIC_PURGE_FLAG        VARCHAR2(4)       NOT NULL,
    LOADER_DOCUMENT_STORE       VARCHAR2(1000),
    RESOURCE_PLAN               BLOB          ,
    ENABLED_FLAG                VARCHAR2(4)       NOT NULL,
    MODULE_ID                   VARCHAR2(128) ,
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    SEED_DATA_SOURCE            VARCHAR2(2048)    NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    USER_INVOCABLE_FLAG         VARCHAR2(4)       NOT NULL,
    FLOW_DIRECTION_CODE         VARCHAR2(120)     NOT NULL,
    PRODUCT_ENDPOINT            VARCHAR2(320) ,
    CONSTRAINT pk_fun_docio_flows_b PRIMARY KEY (FLOW_ID, FLOW_ID)
);
